package com.example.TreballFiGrau;

import io.vov.vitamio.widget.VideoView;

import java.sql.Connection;
import java.util.ArrayList;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.util.Log;
import android.view.Menu;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;

public class LlegirNoticiaVideos extends FragmentActivity {
	private ArrayList<Noticia> dades;
	private Llista_AdapterNoticies llista_adapter;
	private ListView llista;
	private ViewPager mPager;
	private Connection conn;
	private VideoView videoView;
	private VideoView mVideoView;
	private ProgressBar pb;
	private TextView downloadRateView, loadRateView;

	private PagerAdapter mPagerAdapter;

	
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Log.d("aki", "dintre LlegirNoticies Fotos");
		setContentView(R.layout.llegir_noticia);
        mPager = (ViewPager) findViewById(R.id.pagerLlegirNoticia);
        mPagerAdapter = new LlegirNoticiaVideosGA(getSupportFragmentManager());
        mPager.setAdapter(mPagerAdapter);

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		//getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
    public void onBackPressed() {
		super.onBackPressed();
        
    }
	
}